Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 449888 - app-text/poppler-0.20.4 - In file included from .../work/poppler-0.20.4/qt4/src/poppler-page.cc:36: /usr/include/qt4/QtGui/qtransform.h:128:4119: error: 'ator' has not been declared
Summary: app-text/poppler-0.20.4 - In file included from .../work/poppler-0.20.4/qt4/s...
Status: RESOLVED INVALID
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-03 01:00 UTC by Richard Lynch
Modified: 2013-06-25 17:45 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
error message (error.txt,9.44 KB, text/plain)
2013-01-03 01:00 UTC, Richard Lynch
Details
emerge --info (info.txt,5.25 KB, text/plain)
2013-01-03 01:01 UTC, Richard Lynch
Details
emerge -pqv '=app-text/poppler-0.20.4' (build.txt,173 bytes, text/plain)
2013-01-03 01:01 UTC, Richard Lynch
Details
build log (log.txt,247.90 KB, text/plain)
2013-01-03 01:02 UTC, Richard Lynch
Details
environment (environment.txt,100.83 KB, text/plain)
2013-01-03 01:02 UTC, Richard Lynch
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Richard Lynch 2013-01-03 01:00:31 UTC
Created attachment 334108 [details]
error message

I've been going through emerge hell and have even tried all kinds of whack things like emerging parts of kde-meta one by one.

Poppler being the only PDF reader some components of KDE would accept was originally a big issue.

Here is the original poppler issue I faced:

http://www.l-i-e.com/gentoo/

I will also attach the files, but you may or may not find the link easier.
Comment 1 Richard Lynch 2013-01-03 01:01:15 UTC
Created attachment 334110 [details]
emerge --info
Comment 2 Richard Lynch 2013-01-03 01:01:49 UTC
Created attachment 334112 [details]
emerge -pqv '=app-text/poppler-0.20.4'
Comment 3 Richard Lynch 2013-01-03 01:02:14 UTC
Created attachment 334114 [details]
build log
Comment 4 Richard Lynch 2013-01-03 01:02:57 UTC
Created attachment 334116 [details]
environment
Comment 5 Rafał Mużyło 2013-01-03 02:08:18 UTC
> /usr/include/qt4/QtGui/qtransform.h:128:*4119*: error:...

I'd say it looks like a filesystem corruption.
Comment 6 Richard Lynch 2013-01-16 22:31:58 UTC
fsck reports no errors...
Comment 7 Rafał Mużyło 2013-01-17 13:59:17 UTC
(In reply to comment #6)
> fsck reports no errors...

...so ?
That line is definitely not that long.
Filesystem corruption is simply the most simple explanation.
Otherwise either something failed during install or at least one of the *basic* tools is in some way broken.
Comment 8 Andreas K. Hüttel gentoo-dev 2013-03-09 21:24:02 UTC
Please re-emerge qtgui and then try again...
Comment 9 Andreas K. Hüttel gentoo-dev 2013-05-11 21:44:30 UTC
Do you still have this problem?
Comment 10 Johannes Huber gentoo-dev 2013-06-25 17:45:39 UTC
Package is not in tree anymore. No answer from reporter. Guessing it was a local problem.